Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.service
Class PriceEngineException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.beasys.commerce.foundation.exception.ApplicationException
                        |
                        +--com.bea.commerce.ebusiness.price.service.PricingException
                              |
                              +--com.bea.commerce.ebusiness.price.service.PriceEngineException

public class PriceEngineException
extends PricingException

A PriceEngineException indicates a failure of the price engine during a pricing operation.

See Also:
  `PriceService`, `PricingException`, Serialized Form

Field Summary
`static java.lang.String` | `MESSAGE_KEY` The name of the resource bundle

Fields inherited from class com.bea.commerce.ebusiness.price.service.PricingException
`MESSAGE_KEY, MESSAGE_NAMESPACE`

Fields inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`embeddedException, logMessages, userMessages`

Constructor Summary
`PriceEngineException(java.lang.Object argument)` Constructs a new exception with the message indicated by the specified object.
`PriceEngineException(java.lang.String messageKey)` Constructs a new message using the specified catalog message key.
`PriceEngineException(java.lang.String messageKey, java.lang.Exception exception)` Class constructor taking key of the associated catalog message and an embedded exception.
`PriceEngineException(java.lang.String messageKey, java.lang.Object argument)` Class constructor taking key of the associated catalog message and a message parameter substitution argument.
`PriceEngineException(java.lang.String messageKey, java.lang.Object[] arguments)` Class constructor taking key of the associated catalog message and message parameter substitution arguments.
`PriceEngineException(java.lang.String messageKey, java.lang.Object[] arguments, java.lang.Exception exception)` Constructs a new exception with the specified key and applys the specifed arguments to the catalog message.
`PriceEngineException(java.lang.String messageKey, java.lang.Object argument, java.lang.Exception exception)` Constructs a new exception with the specified key and applys the specifed argument to the catalog message.

Methods inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`addLogMessage, addLogMessage, addLogMessage, addMessage, addMessage, addMessage, addUserMessage, addUserMessage, addUserMessage, getEmbeddedException, getLocalizedMessage, getLogMessage, getLogMessages, getMessage, getUserMessage, getUserMessages, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MESSAGE_KEY

    public static final java.lang.String MESSAGE_KEY

  The name of the resource bundle

Constructor Detail

### PriceEngineException

    public PriceEngineException(java.lang.Object argument)

  Constructs a new exception with the message indicated by the specified object.

  Parameters:
    `argument` - message string for the exception.

### PriceEngineException

    public PriceEngineException(java.lang.String messageKey)

  Constructs a new message using the specified catalog message key.

  Parameters:
    `messageKey` - The catalog message key to use to construct the exception.

### PriceEngineException

    public PriceEngineException(java.lang.String messageKey,
                                java.lang.Exception exception)

  Class constructor taking key of the associated catalog message and an embedded exception.

  Parameters:
    `messageKey` - The catalog message key to use to construct the exception.
    `exception` - the exception to be wrapped by the PriceEngineException.

### PriceEngineException

    public PriceEngineException(java.lang.String messageKey,
                                java.lang.Object argument,
                                java.lang.Exception exception)

  Constructs a new exception with the specified key and applys the specifed argument to the catalog message. The new exception is wrapped around the specified exception

  Parameters:
    `messageKey` - The catalog message key to use to construct the exception.
    `argument` - an argument to the catalog message.
    `exception` - the exception to be wrapped by the PriceEngineException.

### PriceEngineException

    public PriceEngineException(java.lang.String messageKey,
                                java.lang.Object[] arguments,
                                java.lang.Exception exception)

  Constructs a new exception with the specified key and applys the specifed arguments to the catalog message. The new exception is wrapped around the specified exception

  Parameters:
    `messageKey` - The catalog message key to use to construct the exception.
    `arguments` - an array of arguments to the catalog message.
    `exception` - the exception to be wrapped by the PriceEngineException.

### PriceEngineException

    public PriceEngineException(java.lang.String messageKey,
                                java.lang.Object argument)

  Class constructor taking key of the associated catalog message and a message parameter substitution argument.

  Parameters:
    `messageKey` - The catalog message key to use to construct the exception.
    `argument` - an argument to the catalog message.

### PriceEngineException

    public PriceEngineException(java.lang.String messageKey,
                                java.lang.Object[] arguments)

  Class constructor taking key of the associated catalog message and message parameter substitution arguments.

  Parameters:
    `messageKey` - The catalog message key to use to construct the exception.
    `arguments` - an array of arguments to the catalog message.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved